Uppdaterings-strul

Diskutera frågor rörande installation, backup, migrering och säkerhet avseende Joomla! 1.5.

Moderators: chrille, Zello

Forum rules
Forumregler
Locked
nioliv
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Tue May 05, 2009 9:19 pm

Uppdaterings-strul

Post by nioliv » Wed Oct 28, 2009 12:33 pm

Jag uppdaterade från 1.5.11 till 1.5.14. Testade först på min testsida och allt fungerade perfekt. Gjorde sedan likadant på ord. sidan. Och nu har något underligt hänt.

Alla menyobjekt har försvunnit. Dom finns kvar i databasen men visas inte i admin.
Meny-modulerna finns kvar. Men går man in på modulhanteringen saknas den lilla rutan till vänster om modulnamnet, bockarna vid aktiverat och ankomstnivån.
moduler.jpg
Det är likadant på artiklarna, sektioner och kategorier. Alla finns där i admin men detaljer saknas i listan.
sektioner.jpg
Fösöker jag infoga en bild kommer en ruta upp med "PHP Error Message: WARNINGcall_user_func_array() expects parameter 2 to be array, string givenError in line 649 of file /customers/happytails.se/happytails.se/httpd.www/plugins/editors/jce/libraries/classes/plugin.php"
Klickar man bort varningen ser det ut som på bifogad bild, och bilden infogas i artikeln.
bildimport.jpg
Testsidan ligger hos surftown och ord. sidan hos one.com. Har frågat one om dom gjort något på sistone men fick svaret nej.
Jämför man databaserna finns en massa bak_ filer på one.com men inte på surftown. Kan dessa ha med saken att göra?

Jag gjorde en backup med Joompack innan men blir inte klok på hur man restaurerar med den. :-[
Hoppas detta är rätt avdelning för mitt problem.
You do not have the required permissions to view the files attached to this post.

 
User avatar
Zello
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3869
Joined: Wed Jan 10, 2007 11:23 am
Location: Västerås - Sweden

Re: Uppdaterings-strul

Post by Zello » Wed Oct 28, 2009 5:00 pm

Hej!

Det verkar som att inte alla filer har kommit med i uppdateringen.

Jag tycker att du startar med att återställa backupen så att du står på ruta ett igen. Om du jag gjort den med Joomlapack har du säkert en fil med ändelsen .jpa. Gå till Joomlpacks webbplats och ladda ner filen kickstart.php. Ladda upp den och din backuppfil till servern. Kör sedan filen kickstart.php från din webbläsare.

Testa lokalt (eller på din testsite) först om du tycker att det känns bättre. Skapa en ny mapp i roten på den server du väljer och lägg de två filerna där. Kör sedan http://localhost/[ny mapp]/kickstart.php om du kör lokalt eller motsvarande om du kör på din testhost.

Det som sker är att det startas en installation som ganska mycket påminner om en vanlig Joomlainstallation.

Angåen dina tabeller i databasen som startar med bak_. De kommer från installationen eftersom du valde att ta backupp på en eventuellt befintlig databas. Det är inte dessa som stör din site.
Olle Zettergren
Freelance Senior Joomla developer
Moderator Swedish forum

nioliv
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Tue May 05, 2009 9:19 pm

Re: Uppdaterings-strul

Post by nioliv » Wed Oct 28, 2009 8:56 pm

Hej igen!
Tack snälla för att du tar dig tid.
Har lyckats komma så långt som till "startsidan" av backupen. Får där detta meddelande när jag klickar på start: Could not create installation/js folder
Är det något jag ska skapa och hänvisa till? Jag
Försöker läsa manualerna på Joomlapacks site, men blir bara snurrig av alla hänvisningar.

User avatar
Zello
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3869
Joined: Wed Jan 10, 2007 11:23 am
Location: Västerås - Sweden

Re: Uppdaterings-strul

Post by Zello » Wed Oct 28, 2009 9:42 pm

Det låter som ett rättighetsproblem. Är det på One.Com som det strular så är jag inte så säker på att det går att lösa.

En lösning är att göra installationen på en lokal server och sedan flytta alla filer till servern med FTP och installera databasen "manuellt".

Finns det någon här på forumet som har kört JoomlaPack på One.Com så kom gärna till undsättning!!!! (Jag har inte gjort det :( )
Olle Zettergren
Freelance Senior Joomla developer
Moderator Swedish forum

nioliv
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Tue May 05, 2009 9:19 pm

Re: Uppdaterings-strul

Post by nioliv » Thu Oct 29, 2009 9:41 am

Tjo hej!
Har kommit en bit på vägen.
Packade upp jpa-filen med eXtract och la installationsfilen manuellt i mappen.
Använde sedan ftp-installationsvalet på "startsidan" av backupen för att komma runt alla svårigheter med skrivrättigheter som dök upp. Knepigt eftersom det aldrig var några så´na problem vid grundinstallationen.
Men den vill inte gå vidare efter ckecken.
Inget händer när jag klickar på Next.
jp.jpg
jp2.jpg
I Directories-fliken är alla bockar gröna

Tur att jag körde på testsidan först (surftown, har inte kört på orginalsidan+one.com än).
En liten undran;
Jag har ju alla backup-filer upp-packade. Kan man inte bara föra över dom med ftp:n, tokigheterna med hur sidorna visas ligger väl inte i databasen, eller.....
You do not have the required permissions to view the files attached to this post.

nioliv
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Tue May 05, 2009 9:19 pm

Re: Uppdaterings-strul

Post by nioliv » Thu Nov 05, 2009 9:29 pm

Hm, det visade sig att one.com gjort uppdateringar. Tänk om dom talat om det från början när jag frågade så hade jag spart många timmat och gråa hår.
Har uppdaterat till 1.5.15 och även uppdaterat superfish så nu funkar det mesta.
Det gick inte att infoga bilder i artiklar, då kom felmeddelande upp;

PHP Error Message: WARNINGcall_user_func_array() expects parameter 2 to be array, string givenError in line 649 of file /customers/happytails.se/happytails.se/httpd.www/plugins/editors/jce/libraries/classes/plugin.php -

Det visade sig vara fel i en php-fil som man fick hämta ner och installera.
Den finns här om någon till äventyrs råkar ut för samma sak
http://www.joomlacontenteditor.net/foru ... 866#p25866

Nu är det bara läs mer-länkningen som inte funkar, sidan stängs när man klickar på infoga.
Men det kommer vi snart på hoppas jag

Akarr
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 189
Joined: Fri Nov 07, 2008 12:51 pm

Re: Uppdaterings-strul

Post by Akarr » Tue Aug 24, 2010 9:23 pm

Jag får samma problem och kör joomla 1.5.20 hos One.com

Jag installerar eller gör nåt tydligen för det har hänt ett par gånger för mig. nu sist skulle jag fixa en topmeny och la till en modul för detta och sen när jag skulle ta bort menyn ja. då saknades checkboxen helt plötsligt.

dom finns där men helt plötsligt försvinner dom , mycket irriterande.

magic22
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Tue Mar 27, 2007 2:19 pm

Re: Uppdaterings-strul

Post by magic22 » Fri Nov 26, 2010 12:53 am

Det löste sig för mig.

Jag fick samma felmeddelande nämligen

WARNINGcall_user_func_array() expects parameter 2 to be array, string givenError in line 649 of file /customers/happytails.se/happytails.se/httpd.www/plugins/editors/jce/libraries/classes/plugin.php -

när jag försökte infoga en bild via JCE Editor. Det visade sig att min JCE version var för gammal (gissar på att one.com uppgraderat sitt php). Så jag uppgraderade mitt JCE till senaste version nämligen 1.5.7.6 och allt är frid o fröjd.

JCE editor paketet är som känt gratis och kan hämtas här:
http://www.joomlacontenteditor.net

Man måste dock registrera sig.

 

Locked

Return to “Installation, backup och säkerhet”